<div class="con_heading">
    {if $do=='add_item'}{$LANG.ADD_ITEM}{/if}
    {if $do=='edit_item'}{$LANG.EDIT_ITEM}{/if}
</div>


<style type="text/css">

    .other_images {
        width: 310px;
    }

    .other_images .input input {
        display: block;
        margin: 5px 0;
    }

    .other_images .preview .image {
        display: inline-block;
        vertical-align: top;
        position: relative;
        overflow: hidden;
    }

    .other_images .preview .image .overlay {
        display: none;
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        text-align: center;
    }

    .other_images .preview .image .overlay a {
        display: block;
        width: 100%;
        height: 100%;
        padding-top: 30px;
    }

    .other_images .preview .image .overlay a img {
        width: 42px;
        height: 42px;
    }

    .other_images .preview .image:hover .overlay {
        display: block;
        background-color: rgba(0,0,0,0.1);
    }

</style>


<div id="configtabs">

    <div id="form">
        <form id="add_form" method="post" action="/catalog/{$cat_id}/submit.html" enctype="multipart/form-data">
        <table cellpadding="5" cellspacing="0" style="margin-bottom:10px" width="100%">
            <tr>
                <td width="210">
                    <strong>{$LANG.TITLE}:</strong>
                </td>
                <td><input type="text" name="title" id="title" class="text-input" value="{$item.title|escape:'html'}" style="width:300px"/></td>
            </tr>
            {if $is_admin}
            <tr>
                <td width="210">
                    <strong>{$LANG.CAT}:</strong>
                </td>
                <td><select style="width:300px" class="text-input" name="new_cat_id" id="cat_id" >{$cats}</select></td>
            </tr>
            {/if}
            <tr>
                <td width="">
                    <strong>{$LANG.IMAGE}:</strong>
                </td>
                <td><div style="font-weight: bold;">Основная картинка</div>
                    {if $do=='edit_item' && $item.imageurl}
                        <div style="margin-bottom:4px;">
                            <a href="/images/catalog/{$item.imageurl}" target="_blank"><img src="/images/catalog/small/{$item.imageurl}" alt=""></a>
                        </div>
                    {/if}
                    <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td>
                                <input name="imgfile" type="file" id="imgfile" style="width:300px" class="text-input" />
                            </td>
                            {if $do=='edit_item' && $item.imageurl}
                                <td style="padding-left:15px">
                                    <label>
                                        <input type="checkbox" value="1" name="delete_img" />
                                        {$LANG.DELETE}
                                    </label>
                                </td>
                            {/if}
                        </tr>

                        <tr>
                            <td><div style="font-weight: bold;">Доп. картинки</div>
                                <div class="other_images">
                                    <div class="preview">
                                        {foreach key=num item=image from=$item.images}
                                        <div class="image">
                                            <div class="overlay">
                                                <a href="#" class="del_img" data-filename="{$image}" title="Удалить"><img src="/images/delete.png" alt=""></a>
                                            </div>
                                            <a href="/images/catalog/{$image}" target="_blank">
                                                <img src="/images/catalog/small/{$image}" alt="">
                                            </a>
                                        </div>
                                        {/foreach}
                                    </div>
                                    <div class="input">
                                        <input name="upfile[]" type="file" id="upfile_1" class="text-input">
                                    </div>
                                    <div class="add_more"><a href="#"><img src="/images/icons/add.gif" alt=""> Добавить ещё</a></div>
                                </div>

                            </td>
                        </tr>
                    </table>
                </td>
            </tr>

            <script type="text/javascript">
                $(document).ready(function(){

                    // добавляем доп. поле для загрузки фотографий
                    $(".other_images .add_more a").click(function(e) {
                        e.preventDefault();

                        var new_id = parseInt($(".other_images .input input:last-of-type").attr('id').replace("upfile_", "")) + 1;
                        var new_input = $("#upfile_1").clone().prop("id", "upfile_"+new_id).prop("value","");

                        $(".other_images .input").append(new_input);
                    });

                    $(".other_images .preview .image .overlay a").click(function(e){
                        e.preventDefault();

                        var el = $(this);
                        $.ajax({
                            type: "POST",
                            url: "/catalog/delete_image",
                            data: {
                                filename: el.data("filename"),
                                action: "del_image"
                            }

                        }).done(function (res) {
                            if (res["status"] == "ok") {
                                el.parent().parent().remove();
                            } else if (res["status"] == "error") {
                                switch (res["c"]) {
                                    case 1:
                                        console.log("Файл не найден!");
                                        break;
                                    case 2:
                                        console.log("Не удалось удалить файл!");
                                        break;
                                }
                            } else {
                                console.log("Неизвестная ошибка!");
                            }

                        });
                    });

                });
            </script>

            {if $cat.view_type=='shop'}
            <tr>
                <td width="">
                    <strong>{$LANG.PRICE}:</strong>
                </td>
                <td>
                    <input type="text" class="text-input" name="price" value="{$item.price|escape:'html'}" style="width:300px"/>
                </td>
            </tr>
            <tr>
                <td width="">
                    <strong>{$LANG.CAN_MANY}:</strong>
                </td>
                <td>
                    <label><input type="radio" name="canmany" value="1" {if $item.canmany}checked="checked"{/if}> {$LANG.YES} </label>
                    <label><input type="radio" name="canmany" value="0" {if !$item.canmany}checked="checked"{/if}> {$LANG.NO} </label>
                </td>
            </tr>
            {/if}
            <tr>
                <td width="">
                    <strong>{$LANG.TAGS}:</strong><br/>
                    <span class="hint">{$LANG.KEYWORDS}</span>
                </td>
                <td>
                    <input type="text" name="tags" class="text-input" value="{$item.tags|escape:'html'}" style="width:300px"/>
                </td>
            </tr>
        {foreach key=id item=field from=$fields}
            <tr>
                {if $field.ftype=='link' || $field.ftype == 'text'}
                <td valign="top">
                    <strong>{$field.title}:</strong>
                    {if $field.ftype=='link'} <br/><span class="hint">{$LANG.TYPE_LINK}</span>{/if}
                    {if $field.makelink} <br/><span class="hint">{$LANG.COMMA_SEPARATE}</span>{/if}
                </td>
                <td>
                    <input style="width:300px" name="fdata[{$id}]" type="text" class="text-input" value="{if $field.value}{$field.value|escape:'html'}{/if}"/>
                </td>
                {else}
                    <td valign="top"><strong>{$field.title}:</strong></td>
                    <td>
                        {wysiwyg name="fdata[$id]" value=$field.value height=300 width='98%'}
                    </td>
                {/if}
            </tr>
        {/foreach}
        {if $is_admin}
            <tr>
                <td width="">
                    <strong>{$LANG.SEO_KEYWORDS}:</strong><br/>
                    <span class="hint">{$LANG.SEO_KEYWORDS_HINT}</span>
                </td>
                <td>
                    <input type="text" name="meta_keys" class="text-input" value="{$item.meta_keys|escape:'html'}" style="width:300px"/>
                </td>
            </tr>
            <tr>
                <td width="">
                    <strong>{$LANG.SEO_DESCRIPTION}:</strong>
                </td>
                <td>
                    <input type="text" name="meta_desc" class="text-input" value="{$item.meta_desc|escape:'html'}" style="width:300px"/>
                </td>
            </tr>
            <tr>
                <td width="">
                    <strong>{$LANG.IS_COMMENTS}:</strong>
                </td>
                <td>
                    <label><input type="radio" name="is_comments" value="1" {if $item.is_comments}checked="checked"{/if}> {$LANG.YES} </label>
                    <label><input type="radio" name="is_comments" value="0" {if !$item.is_comments}checked="checked"{/if}> {$LANG.NO} </label>
                </td>
            </tr>
        {/if}
        </table>
        {if $cfg.premod && !$is_admin}
            <p style="margin-top:15px;color:red">
                {$LANG.ITEM_PREMOD_NOTICE}
            </p>
        {/if}
        <p style="margin-top:15px">
            <input type="hidden" name="opt" value="{if $do=='add_item'}add{else}edit{/if}" />
            {if $do=='edit_item'}
                <input type="hidden" id="item_id" name="item_id" value="{$item.id}" />
            {/if}
            <input type="submit" name="submit" value="{$LANG.SAVE}" style="font-size:18px" />
            <input type="button" name="back" value="{$LANG.CANCEL}"  style="font-size:18px" onClick="window.history.go(-1)" />
        </p>
        </form>
    </div>

</div>
